Bug 583826 - F13 i686: Radeon RV200 - Firefox+NoScript in Release notes - Crash X in libc.so
F13 i686: Radeon RV200 - Firefox+NoScript in Release notes - Crash X in libc.so
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 16:19 EDT by Al Dunsmuir
Modified: 2011-06-27 11:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from previous X session showing traceback (68.70 KB, text/plain)
2010-04-19 16:19 EDT, Al Dunsmuir
no flags Details

  None (edit)
Description Al Dunsmuir 2010-04-19 16:19:20 EDT
Created attachment 407675 [details]
Log from previous X session showing traceback

Description of problem:
i686 F13 beta on Dell 270GX with Radeon RV200 (Radeon 7500) graphics installed.

Attempt at setting NoScript in Fedora release notes crashes X in libc.so

Version-Release number of selected component (if applicable):
F13 i686 with all current updates applied.  Current NoScript installed.

How reproducible: 100%


Steps to Reproduce:
1. Install NoScript addon in FireFox, recycle FireFox
2. Bring up release notes
3. Click on NoScript icon in lower right cornet.  
  
Actual results:  

X crashes
     Backtrace:
     [   184.393] 0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e51cc]
     [   184.393] 1: /usr/bin/Xorg (0x8047000+0x5e166) [0x80a5166]
     [   184.393] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0x32240c]
     [   184.394] 3: /lib/libc.so.6 (0x454000+0x7c306) [0x4d0306]
     [   184.394] Segmentation fault at address (nil)
     [   184.394]
     Fatal server error:
     [   184.394] Caught signal 11 (Segmentation fault). Server aborting
     [   184.394]
     [   184.394]


Expected results:

Display of NoScript configuration panel  


Additional info:

Xorg.0.log.old attached
Comment 1 Bug Zapper 2011-06-02 11:04:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 11:45:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.